//Javascript Orios Page
var xmlHttp

function nuevoAjax()
{
	var xmlhttp=false;
 	try {
 		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
 	} catch (e) {
 		try {
 			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
 		} catch (E) {
 			xmlhttp = false;
 		}
  	}

	if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
 		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function alerta()
{
	alert("Si jalo");
}

function paciente()
{
	expedi=nuevoAjax();
	var exped=document.getElementById('expediente').value;
	expedi.open("GET", "consultas_ajax_puntoventa.php?expediente="+exped,true);
	expedi.onreadystatechange= 
	function() 
		{ 	
			if (expedi.readyState==4) { 
			document.getElementById('nombrepaciente').innerHTML=expedi.responseText; 
		} 
	} 
	expedi.send(null);
}

function doctor()
{
	doc=nuevoAjax();
	var doctor=document.getElementById('clavedoctor').value;
	doc.open("GET", "consultas_ajax_puntoventa.php?clavedoc="+doctor,true);
	doc.onreadystatechange= 
	function() 
		{ 	
			if (doc.readyState==4) { 
			document.getElementById('nombredoctor').innerHTML=doc.responseText; 
		} 
	} 
	doc.send(null);
}

function cancelarventa()
{
	document.getElementById('tablacontenido').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando articulo...</p></center>";
	var folio=document.getElementById('folio').value;
	borra=nuevoAjax();
	borra.open("GET", "consultas_ajax_puntoventa.php?claveCancela="+folio,true);
	borra.onreadystatechange= 
	function() 
		{ 	
			if (borra.readyState==4)
			{  
			document.getElementById('tablacontenido').innerHTML=borra.responseText;  
			} 
		} 
	borra.send(null);
	document.formventa.addpaquete2.disabled=false;
}

function addpaquete()
{
	document.getElementById('tablacontenido').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'> Procesando...</p></center>";
	var paquete;
	var folio;
	pq=nuevoAjax();
	paquete=document.getElementById('paquete').value;
	folio=document.getElementById('folio').value;
	pq.open("GET", "consultas_ajax_puntoventa.php?paquete="+paquete+"&"+"folio="+folio,true);
	pq.onreadystatechange= 
	function() 
	{ 	
		if (pq.readyState==4)
		{ 
			document.getElementById('tablacontenido').innerHTML=pq.responseText; 
		}
	} 
	pq.send(null);
	document.formventa.addpaquete2.disabled=true;
}

function aplicardescuento()
{
	document.getElementById('tablacontenido').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'> Procesando...</p></center>";
	var iddesc=document.getElementById('descuento').value;
	var folio=document.getElementById('folio').value;
	//alert(iddesc+' '+folio);
	desc=nuevoAjax();
	desc.open("GET", "consultas_ajax_puntoventa.php?descuento="+iddesc+"&folio="+folio,true);
	desc.onreadystatechange= 
	function() 
	{ 	
		if (desc.readyState==4)
		{ 
			document.getElementById('tablacontenido').innerHTML=desc.responseText; 
		}
	} 
	desc.send(null);
}
